This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 817388 - Preupgrade ignore yum plugins (fastestmirror)
Preupgrade ignore yum plugins (fastestmirror)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-29 11:37 EDT by Pavel Alexeev
Modified: 2013-07-14 14:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-14 14:08:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2012-04-29 11:37:33 EDT
Description of problem:
Unfortunately mirror.yandex.ru comes firsts from mirror in service, but have unsync files. I exclude them from mirror list in /etc/yum/pluginconf.d/fastestmirror.conf config file, and on start it seams works, but preupgrade still try download files from them:

[root@hubbitus ~]# LANG=C preupgrade-cli -d5 "Fedora 17 (Beefy Miracle)"
Loaded plugins: blacklist, fastestmirror, langpacks, whiteout
No plugin match for: rpm-warm-cache
No plugin match for: remove-with-leaves
Not loading "blacklist" plugin, as it is disabled
Not loading "whiteout" plugin, as it is disabled
Loaded plugins: auto-update-debuginfo, fastestmirror, langpacks, presto, refresh-packagekit
Adding en to language list
Config time: 0.012
preupgrade-main (mirrorlist)
  url: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-17&arch=$basearch
  now: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-17&arch=x86_64
rpmdb time: 0.000
Loading mirror speeds from cached hostfile
 * kde: ftp.heanet.ie
 * kde-testing: ftp.heanet.ie
Excluding mirror: mirror.yandex.ru
 * rpmfusion-free: fedora.uib.no
Excluding mirror: mirror.yandex.ru
 * rpmfusion-free-updates: fedora.uib.no
Excluding mirror: mirror.yandex.ru
 * rpmfusion-free-updates-testing: fedora.uib.no
Excluding mirror: mirror.yandex.ru
 * rpmfusion-nonfree: fedora.uib.no
Excluding mirror: mirror.yandex.ru
 * rpmfusion-nonfree-updates: fedora.uib.no
Excluding mirror: mirror.yandex.ru
 * rpmfusion-nonfree-updates-testing: fedora.uib.no
Excluding mirror: mirror.yandex.ru
Excluding mirror: mirror.yandex.ru
Excluding mirror: spreader.yandex.net
Excluding mirror: sower.yandex.ru
Excluding mirror: squire.yandex.net
Excluding mirror: scatterer.yandex.net
Excluding mirror: diffuser.yandex.net
Excluding mirror: allotter.yandex.net
 * russianfedora-free: ftp.byfly.by
Excluding mirror: mirror.yandex.ru
Excluding mirror: mirror.yandex.ru
Excluding mirror: spreader.yandex.net
Excluding mirror: sower.yandex.ru
Excluding mirror: squire.yandex.net
Excluding mirror: scatterer.yandex.net
Excluding mirror: diffuser.yandex.net
Excluding mirror: allotter.yandex.net
 * russianfedora-free-updates: ftp.byfly.by
Excluding mirror: mirror.yandex.ru
Excluding mirror: mirror.yandex.ru
Excluding mirror: spreader.yandex.net
Excluding mirror: sower.yandex.ru
Excluding mirror: squire.yandex.net
Excluding mirror: scatterer.yandex.net
Excluding mirror: diffuser.yandex.net
Excluding mirror: allotter.yandex.net
 * russianfedora-free-updates-testing: ftp.byfly.by
Excluding mirror: mirror.yandex.ru
Excluding mirror: mirror.yandex.ru
Excluding mirror: spreader.yandex.net
Excluding mirror: sower.yandex.ru
Excluding mirror: squire.yandex.net
Excluding mirror: scatterer.yandex.net
Excluding mirror: diffuser.yandex.net
Excluding mirror: allotter.yandex.net
 * russianfedora-nonfree: ftp.byfly.by
Excluding mirror: mirror.yandex.ru
Excluding mirror: mirror.yandex.ru
Excluding mirror: spreader.yandex.net
Excluding mirror: sower.yandex.ru
Excluding mirror: squire.yandex.net
Excluding mirror: scatterer.yandex.net
Excluding mirror: diffuser.yandex.net
Excluding mirror: allotter.yandex.net
 * russianfedora-nonfree-updates: ftp.byfly.by
Excluding mirror: mirror.yandex.ru
Excluding mirror: mirror.yandex.ru
Excluding mirror: spreader.yandex.net
Excluding mirror: sower.yandex.ru
Excluding mirror: squire.yandex.net
Excluding mirror: scatterer.yandex.net
Excluding mirror: diffuser.yandex.net
Excluding mirror: allotter.yandex.net
 * russianfedora-nonfree-updates-testing: ftp.byfly.by
Excluding mirror: mirror.yandex.ru
 * updates: www.nic.funet.fi
Excluding mirror: mirror.yandex.ru
 * updates-testing: www.nic.funet.fi
Excluding mirror: mirror.yandex.ru
 * updates-testing-debuginfo: www.nic.funet.fi
fedora                                                                                                                                             | 4.2 kB     00:00
preupgrade (mirrorlist)
  url: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/development/17/$basearch/os/
  now: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/development/17/x86_64/os/
Checking for new repos for mirrors
Excluding mirror: mirror.yandex.ru
 * preupgrade-main: www.nic.funet.fi
Not using downloaded repomd.xml because it is older than what we have:
  Current   : Sun Apr 29 14:22:12 2012
  Downloaded: Sat Apr 28 14:14:31 2012
preupgrade-russianfedora-nonfree-rawhide (mirrorlist)
  url: http://mirrors.rfremix.ru/mirrorlist?repo=nonfree-fedora-rawhide&arch=x86_64
  now: http://mirrors.rfremix.ru/mirrorlist?repo=nonfree-fedora-rawhide&arch=x86_64
Checking for new repos for mirrors
preupgrade-rpmfusion-free-rawhide (mirrorlist)
  url: http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-rawhide&arch=x86_64
  now: http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-rawhide&arch=x86_64
Checking for new repos for mirrors
Excluding mirror: mirror.yandex.ru
Excluding mirror: mirror.yandex.ru
Excluding mirror: spreader.yandex.net
Excluding mirror: sower.yandex.ru
Excluding mirror: squire.yandex.net
Excluding mirror: scatterer.yandex.net
Excluding mirror: diffuser.yandex.net
Excluding mirror: allotter.yandex.net
 * preupgrade-russianfedora-nonfree-rawhide: ftp.byfly.by
Not using downloaded repomd.xml because it is older than what we have:
  Current   : Sun Apr 29 16:26:31 2012
  Downloaded: Sat Apr 28 14:16:57 2012
preupgrade-rpmfusion-nonfree-rawhide (mirrorlist)
  url: http://mirrors.rpmfusion.org/mirrorlist?repo=nonfree-fedora-rawhide&arch=x86_64
  now: http://mirrors.rpmfusion.org/mirrorlist?repo=nonfree-fedora-rawhide&arch=x86_64
Checking for new repos for mirrors
Excluding mirror: mirror.yandex.ru
 * preupgrade-rpmfusion-free-rawhide: fedora.uib.no
preupgrade-russianfedora-free-rawhide (mirrorlist)
  url: http://mirrors.rfremix.ru/mirrorlist?repo=free-fedora-rawhide&arch=x86_64
  now: http://mirrors.rfremix.ru/mirrorlist?repo=free-fedora-rawhide&arch=x86_64
Checking for new repos for mirrors
Excluding mirror: mirror.yandex.ru
 * preupgrade-rpmfusion-nonfree-rawhide: fedora.uib.no
Fetched treeinfo from http://mirror.yandex.ru/fedora/linux/development/17/x86_64/os//.treeinfo
treeinfo timestamp: Sun Apr 29 15:06:17 2012
MEMORY                                                                                                                                             |  918 B     00:00
vmlinuz                                                                                                                                            | 4.4 MB     00:07
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-cli.py", line 330, in <module>
    pu.main(release)
  File "/usr/share/preupgrade/preupgrade-cli.py", line 207, in main
    self.retrieve_critical_boot_files()
  File "/usr/lib/python2.7/site-packages/preupgrade/__init__.py", line 568, in retrieve_critical_boot_files
    self._retrieve_file(item)
  File "/usr/lib/python2.7/site-packages/preupgrade/__init__.py", line 489, in _retrieve_file
    raise PUError, _("checksum failure downloading %s") % item_fname
preupgrade.error.PUError: checksum failure downloading vmlinuz


Version-Release number of selected component (if applicable):
$ rpm -q preupgrade 
preupgrade-1.1.10-1.fc16.noarch

How reproducible:
Always
Comment 1 Sergio Monteiro Basto 2012-04-30 13:08:51 EDT
In got in /etc/yum.conf 

exclude=clamav* mailman dovecot

which also ignored , when upgrade last week from F14 to F16 .
Comment 2 RevRagnarok 2012-05-22 05:28:43 EDT
WORKAROUND: I was able to get it to work after having this problem by deleting every line in /var/cache/yum/preupgrade/mirrorlist.txt except the kernel.org one.
Comment 3 Fedora End Of Life 2013-07-03 18:39:00 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Sergio Monteiro Basto 2013-07-08 16:29:06 EDT
Pavel , why you update this bug to rawhide , when this component (preupgrade) was retired in F18 ?
Comment 5 Pavel Alexeev 2013-07-14 14:08:58 EDT
Sorry for the mistake.

Note You need to log in before you can comment on or make changes to this bug.